org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtFinishedFuture<T>

- java.lang.Object
- - org.apache.ignite.internal.util.future.GridFinishedFuture<T>
  - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtFinishedFuture<T>

All Implemented Interfaces:
  Externalizable, Serializable, IgniteInternalFuture<T>, GridDhtFuture<T>

    public class GridDhtFinishedFuture<T>
    extends GridFinishedFuture<T>
    implements GridDhtFuture<T>

Finished DHT future.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.util.future.GridFinishedFuture

`ctx`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtFinishedFuture()` Empty constructor required by `Externalizable`.
`GridDhtFinishedFuture(GridKernalContext ctx, T t)`
`GridDhtFinishedFuture(GridKernalContext ctx, Throwable err)`

### Method Summary

Methods
`Collection<Integer>` `invalidPartitions()` Node that future should be able to provide keys to retry before it completes, so it's not necessary to wait till future is done to get retry keys.
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.util.future.GridFinishedFuture

`cancel, chain, concurrentNotify, concurrentNotify, duration, get, get, get, isCancelled, isDone, listenAsync, readExternal, startTime, stopListenAsync, syncNotify, syncNotify, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.IgniteInternalFuture

`cancel, chain, concurrentNotify, concurrentNotify, duration, get, get, get, isCancelled, isDone, listenAsync, startTime, stopListenAsync, syncNotify, syncNotify`

### Constructor Detail

#### GridDhtFinishedFuture

    public GridDhtFinishedFuture()

Empty constructor required by `Externalizable`.

#### GridDhtFinishedFuture

    public GridDhtFinishedFuture(GridKernalContext ctx,
                         T t)

Parameters:
  `ctx` - Context.
  `t` - Result.

#### GridDhtFinishedFuture

    public GridDhtFinishedFuture(GridKernalContext ctx,
                         Throwable err)

Parameters:
  `ctx` - Context.
  `err` - Error.

### Method Detail

#### invalidPartitions

    public Collection<Integer> invalidPartitions()

Node that future should be able to provide keys to retry before it completes, so it's not necessary to wait till future is done to get retry keys.

Specified by:
  `invalidPartitions` in interface `GridDhtFuture<T>`
Returns:
  Keys to retry because this node is no longer a primary or backup.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridFinishedFuture<T>`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015